Bug 799955 - anaconda creates btrfs filesystem with big metadata on small /boot partition
anaconda creates btrfs filesystem with big metadata on small /boot partition
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 08:33 EST by cornel panceac
Modified: 2013-02-13 10:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:11:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2012-03-05 08:33:54 EST
Description of problem:

when creating btrfs filesystem on default size (500MB) /boot partition, anaconda does not use --mixed mode (in which the free space is common for metadata and data). 


Version-Release number of selected component (if applicable):

the anacoda from the f16 install disk.

How reproducible:
always

Steps to Reproduce:
1.start anaconda, let it create partitions but customized the proposed config
2.change ext4 with btrfs, install packages, reboot
3.upgrade kernel , two times so that you have three kernels installed
  
Actual results:
# df -h

Filesystem Size Used Avail Use% Mounted on
/dev/sda2 500M 99M 12M 90% /boot

# btrfs fi df /boot

    Data: total=108.00MB, used=96.91MB
    System, DUP: total=8.00MB, used=4.00KB
    System: total=4.00MB, used=0.00
    Metadata, DUP: total=182.00MB, used=636.00KB
    Metadata: total=8.00MB, used=0.00



Expected results:

~ 400 MB free space


Additional info:

i got those results in f17 because i could not install f17 over btrfs, so i yum upgraded from minimal f16.

# rpm -q kernel
    kernel-3.2.6-3.fc16.i686
    kernel-3.3.0-0.rc3.git7.2.fc17.i686
    kernel-3.3.0-0.rc5.git3.1.fc17.i686
Comment 1 David Lehman 2012-03-05 08:58:40 EST
It is not the business of anaconda to be tweaking mkfs options based on filesystem implementation oddities. If btrfs needs to use different options for small volumes the btrfs mkfs tool should take care of it.
Comment 2 cornel panceac 2012-03-05 09:24:27 EST
Although it is correct that btrfs-progs can be better, until this wish will become a reality, i believe anaconda can add an "if /boot is 500MB and fs is btrfs, use --mixed". but of course, it's just a belief :)
Comment 3 cje 2012-05-19 12:57:27 EDT
the last paragraph of this section:
https://btrfs.wiki.kernel.org/index.php/FAQ#if_your_device_is_small

claims that mixed mode should be the default - is that not happening?
Comment 4 cornel panceac 2012-05-24 03:57:57 EDT
i no longer have an installed f16 with btrfs on /boot but ive launched a f16 live cd and created btrfs filesystem on a 500 MB partition:

# mkfs.btrfs /dev/sda12

WARNING! - Btrfs Btrfs v0.19 IS EXPERIMENTAL
WARNING! - see http://btrfs.wiki.kernel.org before using

fs created label (null) on /dev/sda12
	nodesize 4096 leafsize 4096 sectorsize 4096 size 488.28MB
Btrfs Btrfs v0.19

# fdisk -l /dev/sda12

Disk /dev/sda12: 512 MB, 512000000 bytes
255 heads, 63 sectors/track, 62 cylinders, total 1000000 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Disk /dev/sda12 doesn't contain a valid partition table
Comment 5 cornel panceac 2012-05-24 04:03:11 EDT
that's the output if i create the filesystem from my installed fedora 17:

# mkfs.btrfs /dev/sda12

WARNING! - Btrfs Btrfs v0.19 IS EXPERIMENTAL
WARNING! - see http://btrfs.wiki.kernel.org before using

SMALL VOLUME: forcing mixed metadata/data groups
Created a data/metadata chunk of size 8388608
fs created label (null) on /dev/sda12
	nodesize 4096 leafsize 4096 sectorsize 4096 size 488.28MB
Btrfs Btrfs v0.19
Comment 6 Fedora End Of Life 2013-01-16 09:10:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 10:11:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.